diff --git a/base/server/python/pki/server/deployment/scriptlets/security_databases.py b/base/server/python/pki/server/deployment/scriptlets/security_databases.py
index 3d3193cefe6a39fc1c655a7049e00391bd6dd5cc..f43e0c2a2373f0cef4f48d55abb51626557aaf37 100644
--- a/base/server/python/pki/server/deployment/scriptlets/security_databases.py
+++ b/base/server/python/pki/server/deployment/scriptlets/security_databases.py
@@ -31,84 +31,84 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_SECURITY_DATABASES_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
         config.pki_log.info(log.SECURITY_DATABASES_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         deployer.password.create_password_conf(
-            deployer.master_dict['pki_shared_password_conf'],
-            deployer.master_dict['pki_pin'])
+            deployer.mdict['pki_shared_password_conf'],
+            deployer.mdict['pki_pin'])
         # Since 'certutil' does NOT strip the 'token=' portion of
         # the 'token=password' entries, create a temporary server 'pfile'
         # which ONLY contains the 'password' for the purposes of
         # allowing 'certutil' to generate the security databases
         deployer.password.create_password_conf(
-            deployer.master_dict['pki_shared_pfile'],
-            deployer.master_dict['pki_pin'], pin_sans_token=True)
-        deployer.file.modify(deployer.master_dict['pki_shared_password_conf'])
+            deployer.mdict['pki_shared_pfile'],
+            deployer.mdict['pki_pin'], pin_sans_token=True)
+        deployer.file.modify(deployer.mdict['pki_shared_password_conf'])
         deployer.certutil.create_security_databases(
-            deployer.master_dict['pki_database_path'],
-            deployer.master_dict['pki_cert_database'],
-            deployer.master_dict['pki_key_database'],
-            deployer.master_dict['pki_secmod_database'],
-            password_file=deployer.master_dict['pki_shared_pfile'])
-        deployer.file.modify(deployer.master_dict['pki_cert_database'], perms=\
+            deployer.mdict['pki_database_path'],
+            deployer.mdict['pki_cert_database'],
+            deployer.mdict['pki_key_database'],
+            deployer.mdict['pki_secmod_database'],
+            password_file=deployer.mdict['pki_shared_pfile'])
+        deployer.file.modify(deployer.mdict['pki_cert_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
-        deployer.file.modify(deployer.master_dict['pki_key_database'], perms=\
+        deployer.file.modify(deployer.mdict['pki_key_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
-        deployer.file.modify(deployer.master_dict['pki_secmod_database'], perms=\
+        deployer.file.modify(deployer.mdict['pki_secmod_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
 
         if len(deployer.instance.tomcat_instance_subsystems()) < 2:
             # only create a self signed cert for a new instance
             rv = deployer.certutil.verify_certificate_exists(
-                 deployer.master_dict['pki_database_path'],
-                 deployer.master_dict['pki_cert_database'],
-                 deployer.master_dict['pki_key_database'],
-                 deployer.master_dict['pki_secmod_database'],
-                 deployer.master_dict['pki_self_signed_token'],
-                 deployer.master_dict['pki_self_signed_nickname'],
-                 password_file=deployer.master_dict['pki_shared_pfile'])
+                 deployer.mdict['pki_database_path'],
+                 deployer.mdict['pki_cert_database'],
+                 deployer.mdict['pki_key_database'],
+                 deployer.mdict['pki_secmod_database'],
+                 deployer.mdict['pki_self_signed_token'],
+                 deployer.mdict['pki_self_signed_nickname'],
+                 password_file=deployer.mdict['pki_shared_pfile'])
             if not rv:
                 deployer.file.generate_noise_file(
-                    deployer.master_dict['pki_self_signed_noise_file'],
-                    deployer.master_dict['pki_self_signed_noise_bytes'])
+                    deployer.mdict['pki_self_signed_noise_file'],
+                    deployer.mdict['pki_self_signed_noise_bytes'])
                 deployer.certutil.generate_self_signed_certificate(
-                    deployer.master_dict['pki_database_path'],
-                    deployer.master_dict['pki_cert_database'],
-                    deployer.master_dict['pki_key_database'],
-                    deployer.master_dict['pki_secmod_database'],
-                    deployer.master_dict['pki_self_signed_token'],
-                    deployer.master_dict['pki_self_signed_nickname'],
-                    deployer.master_dict['pki_self_signed_subject'],
-                    deployer.master_dict['pki_self_signed_serial_number'],
-                    deployer.master_dict['pki_self_signed_validity_period'],
-                    deployer.master_dict['pki_self_signed_issuer_name'],
-                    deployer.master_dict['pki_self_signed_trustargs'],
-                    deployer.master_dict['pki_self_signed_noise_file'],
-                    password_file=deployer.master_dict['pki_shared_pfile'])
+                    deployer.mdict['pki_database_path'],
+                    deployer.mdict['pki_cert_database'],
+                    deployer.mdict['pki_key_database'],
+                    deployer.mdict['pki_secmod_database'],
+                    deployer.mdict['pki_self_signed_token'],
+                    deployer.mdict['pki_self_signed_nickname'],
+                    deployer.mdict['pki_self_signed_subject'],
+                    deployer.mdict['pki_self_signed_serial_number'],
+                    deployer.mdict['pki_self_signed_validity_period'],
+                    deployer.mdict['pki_self_signed_issuer_name'],
+                    deployer.mdict['pki_self_signed_trustargs'],
+                    deployer.mdict['pki_self_signed_noise_file'],
+                    password_file=deployer.mdict['pki_shared_pfile'])
                 # Delete the temporary 'noise' file
-                deployer.file.delete(deployer.master_dict['pki_self_signed_noise_file'])
+                deployer.file.delete(deployer.mdict['pki_self_signed_noise_file'])
             # Delete the temporary 'pfile'
-            deployer.file.delete(deployer.master_dict['pki_shared_pfile'])
+            deployer.file.delete(deployer.mdict['pki_shared_pfile'])
         return self.rv
 
     def destroy(self, deployer):
 
         config.pki_log.info(log.SECURITY_DATABASES_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        if deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+        if deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
            deployer.instance.apache_instance_subsystems() == 0:
-            deployer.file.delete(deployer.master_dict['pki_cert_database'])
-            deployer.file.delete(deployer.master_dict['pki_key_database'])
-            deployer.file.delete(deployer.master_dict['pki_secmod_database'])
-            deployer.file.delete(deployer.master_dict['pki_shared_password_conf'])
-        elif deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+            deployer.file.delete(deployer.mdict['pki_cert_database'])
+            deployer.file.delete(deployer.mdict['pki_key_database'])
+            deployer.file.delete(deployer.mdict['pki_secmod_database'])
+            deployer.file.delete(deployer.mdict['pki_shared_password_conf'])
+        elif deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
              len(deployer.instance.tomcat_instance_subsystems()) == 0:
-            deployer.file.delete(deployer.master_dict['pki_cert_database'])
-            deployer.file.delete(deployer.master_dict['pki_key_database'])
-            deployer.file.delete(deployer.master_dict['pki_secmod_database'])
-            deployer.file.delete(deployer.master_dict['pki_shared_password_conf'])
+            deployer.file.delete(deployer.mdict['pki_cert_database'])
+            deployer.file.delete(deployer.mdict['pki_key_database'])
+            deployer.file.delete(deployer.mdict['pki_secmod_database'])
+            deployer.file.delete(deployer.mdict['pki_shared_password_conf'])
         return self.rv
diff --git a/base/server/python/pki/server/deployment/scriptlets/selinux_setup.py b/base/server/python/pki/server/deployment/scriptlets/selinux_setup.py
index 177233afc10c0d21880d0b7505eb3bf721f29881..7301192a5ddd397cb97d30d64316bc3fca1324fd 100644
--- a/base/server/python/pki/server/deployment/scriptlets/selinux_setup.py
+++ b/base/server/python/pki/server/deployment/scriptlets/selinux_setup.py
@@ -36,15 +36,15 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
     rv = 0
     suffix = "(/.*)?"
 
-    def restore_context(self, master_dict):
-        selinux.restorecon(master_dict['pki_instance_path'], True)
+    def restore_context(self, mdict):
+        selinux.restorecon(mdict['pki_instance_path'], True)
         selinux.restorecon(config.PKI_DEPLOYMENT_LOG_ROOT, True)
-        selinux.restorecon(master_dict['pki_instance_log_path'], True)
-        selinux.restorecon(master_dict['pki_instance_configuration_path'], True)
+        selinux.restorecon(mdict['pki_instance_log_path'], True)
+        selinux.restorecon(mdict['pki_instance_configuration_path'], True)
 
     def spawn(self, deployer):
 
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_SELINUX_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
@@ -62,46 +62,46 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         while True:
             try:
                 # check first if any transactions are required
-                if len(ports) == 0 and deployer.master_dict['pki_instance_name'] == \
+                if len(ports) == 0 and deployer.mdict['pki_instance_name'] == \
                     config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_INSTANCE_NAME:
-                    self.restore_context(deployer.master_dict)
+                    self.restore_context(deployer.mdict)
                     return self.rv
 
                 # add SELinux contexts when adding the first subsystem
-                if deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+                if deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
                     deployer.instance.apache_instance_subsystems() == 1 or\
-                    deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+                    deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
                     len(deployer.instance.tomcat_instance_subsystems()) == 1:
 
                     trans = seobject.semanageRecords("targeted")
                     trans.start()
-                    if deployer.master_dict['pki_instance_name'] != \
+                    if deployer.mdict['pki_instance_name'] != \
                         config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_INSTANCE_NAME:
 
                         fcon = seobject.fcontextRecords()
 
                         config.pki_log.info("adding selinux fcontext \"%s\"",
-                        deployer.master_dict['pki_instance_path'] + self.suffix,
+                        deployer.mdict['pki_instance_path'] + self.suffix,
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.add(deployer.master_dict['pki_instance_path'] + self.suffix,
+                        fcon.add(deployer.mdict['pki_instance_path'] + self.suffix,
                                  config.PKI_INSTANCE_SELINUX_CONTEXT, "", "s0", "")
 
                         config.pki_log.info("adding selinux fcontext \"%s\"",
-                                            deployer.master_dict['pki_instance_log_path'] + self.suffix,
+                                            deployer.mdict['pki_instance_log_path'] + self.suffix,
                                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.add(deployer.master_dict['pki_instance_log_path'] + self.suffix,
+                        fcon.add(deployer.mdict['pki_instance_log_path'] + self.suffix,
                                  config.PKI_LOG_SELINUX_CONTEXT, "", "s0", "")
 
                         config.pki_log.info("adding selinux fcontext \"%s\"",
-                                            deployer.master_dict['pki_instance_configuration_path'] + self.suffix,
+                                            deployer.mdict['pki_instance_configuration_path'] + self.suffix,
                                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.add(deployer.master_dict['pki_instance_configuration_path'] + self.suffix,
+                        fcon.add(deployer.mdict['pki_instance_configuration_path'] + self.suffix,
                                  config.PKI_CFG_SELINUX_CONTEXT, "", "s0", "")
 
                         config.pki_log.info("adding selinux fcontext \"%s\"",
-                                            deployer.master_dict['pki_database_path'] + self.suffix,
+                                            deployer.mdict['pki_database_path'] + self.suffix,
                                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.add(deployer.master_dict['pki_database_path'] + self.suffix,
+                        fcon.add(deployer.mdict['pki_database_path'] + self.suffix,
                                  config.PKI_CERTDB_SELINUX_CONTEXT, "", "s0", "")
 
                         portRecords = seobject.portRecords()
@@ -112,7 +112,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
                     trans.finish()
 
-                    self.restore_context(deployer.master_dict)
+                    self.restore_context(deployer.mdict)
                 break
             except ValueError as e:
                 error_message = str(e)
@@ -138,7 +138,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
 
         # check first if any transactions are required
-        if (len(ports) == 0 and deployer.master_dict['pki_instance_name'] ==
+        if (len(ports) == 0 and deployer.mdict['pki_instance_name'] ==
             config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_INSTANCE_NAME):
             return self.rv
         # A maximum of 10 tries to delete the SELinux contexts
@@ -147,39 +147,39 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         while True:
             try:
                 # remove SELinux contexts when removing the last subsystem
-                if (deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and
+                if (deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and
                     deployer.instance.apache_instance_subsystems() == 0 or
-                    deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and
+                    deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and
                     len(deployer.instance.tomcat_instance_subsystems()) == 0):
 
                     trans = seobject.semanageRecords("targeted")
                     trans.start()
 
-                    if deployer.master_dict['pki_instance_name'] != \
+                    if deployer.mdict['pki_instance_name'] != \
                         config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_INSTANCE_NAME:
 
                         fcon = seobject.fcontextRecords()
 
                         config.pki_log.info("deleting selinux fcontext \"%s\"",
-                                     deployer.master_dict['pki_instance_path'] + self.suffix,
+                                     deployer.mdict['pki_instance_path'] + self.suffix,
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.delete(deployer.master_dict['pki_instance_path'] + self.suffix , "")
+                        fcon.delete(deployer.mdict['pki_instance_path'] + self.suffix , "")
 
                         config.pki_log.info("deleting selinux fcontext \"%s\"",
-                                 deployer.master_dict['pki_instance_log_path'] + self.suffix,
+                                 deployer.mdict['pki_instance_log_path'] + self.suffix,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.delete(deployer.master_dict['pki_instance_log_path'] + self.suffix, "")
+                        fcon.delete(deployer.mdict['pki_instance_log_path'] + self.suffix, "")
 
                         config.pki_log.info("deleting selinux fcontext \"%s\"",
-                                  deployer.master_dict['pki_instance_configuration_path'] + self.suffix,
+                                  deployer.mdict['pki_instance_configuration_path'] + self.suffix,
                                   extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.delete(deployer.master_dict['pki_instance_configuration_path'] +
+                        fcon.delete(deployer.mdict['pki_instance_configuration_path'] +
                                     self.suffix, "")
 
                         config.pki_log.info("deleting selinux fcontext \"%s\"",
-                                     deployer.master_dict['pki_database_path'] + self.suffix,
+                                     deployer.mdict['pki_database_path'] + self.suffix,
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                        fcon.delete(deployer.master_dict['pki_database_path'] + self.suffix , "")
+                        fcon.delete(deployer.mdict['pki_database_path'] + self.suffix , "")
 
                         portRecords = seobject.portRecords()
                         for port in ports:
diff --git a/base/server/python/pki/server/deployment/scriptlets/slot_substitution.py b/base/server/python/pki/server/deployment/scriptlets/slot_substitution.py
index 88bdf94b78b9cfc06df488c4898c8fccab1762f3..1230544b022cbd34dbed6e397a6752513a9fdc98 100644
--- a/base/server/python/pki/server/deployment/scriptlets/slot_substitution.py
+++ b/base/server/python/pki/server/deployment/scriptlets/slot_substitution.py
@@ -31,74 +31,74 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_SLOT_ASSIGNMENT_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
         config.pki_log.info(log.SLOT_ASSIGNMENT_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        deployer.file.copy_with_slot_substitution(deployer.master_dict['pki_source_cs_cfg'],
-                                                        deployer.master_dict['pki_target_cs_cfg'])
-        deployer.file.copy_with_slot_substitution(deployer.master_dict['pki_source_registry'],
-                                                        deployer.master_dict['pki_target_registry'],
+        deployer.file.copy_with_slot_substitution(deployer.mdict['pki_source_cs_cfg'],
+                                                        deployer.mdict['pki_target_cs_cfg'])
+        deployer.file.copy_with_slot_substitution(deployer.mdict['pki_source_registry'],
+                                                        deployer.mdict['pki_target_registry'],
                                                         overwrite_flag=True)
-        if deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+        if deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             deployer.file.copy_with_slot_substitution(
-                deployer.master_dict['pki_source_catalina_properties'],
-                deployer.master_dict['pki_target_catalina_properties'],
+                deployer.mdict['pki_source_catalina_properties'],
+                deployer.mdict['pki_target_catalina_properties'],
                 overwrite_flag=True)
             deployer.file.copy_with_slot_substitution(
-                deployer.master_dict['pki_source_servercertnick_conf'],
-                deployer.master_dict['pki_target_servercertnick_conf'],
+                deployer.mdict['pki_source_servercertnick_conf'],
+                deployer.mdict['pki_target_servercertnick_conf'],
                 overwrite_flag=True)
             deployer.file.copy_with_slot_substitution(
-                deployer.master_dict['pki_source_server_xml'],
-                deployer.master_dict['pki_target_server_xml'],
+                deployer.mdict['pki_source_server_xml'],
+                deployer.mdict['pki_target_server_xml'],
                 overwrite_flag=True)
             deployer.file.copy_with_slot_substitution(
-                deployer.master_dict['pki_source_context_xml'],
-                deployer.master_dict['pki_target_context_xml'],
+                deployer.mdict['pki_source_context_xml'],
+                deployer.mdict['pki_target_context_xml'],
                 overwrite_flag=True)
             deployer.file.copy_with_slot_substitution(
-                deployer.master_dict['pki_source_tomcat_conf'],
-                deployer.master_dict['pki_target_tomcat_conf_instance_id'],
+                deployer.mdict['pki_source_tomcat_conf'],
+                deployer.mdict['pki_target_tomcat_conf_instance_id'],
                 uid=0, gid=0, overwrite_flag=True)
             deployer.file.copy_with_slot_substitution(
-                deployer.master_dict['pki_source_tomcat_conf'],
-                deployer.master_dict['pki_target_tomcat_conf'],
+                deployer.mdict['pki_source_tomcat_conf'],
+                deployer.mdict['pki_target_tomcat_conf'],
                 overwrite_flag=True)
 
             # Configure web.xml and velocity.properties for each subsystem.
             # For TPS this is not necessary since the files are no longer
             # copied to the target location in the instance directory.
-            if deployer.master_dict['pki_subsystem'] != "TPS":
+            if deployer.mdict['pki_subsystem'] != "TPS":
                 deployer.file.apply_slot_substitution(
-                    deployer.master_dict['pki_target_velocity_properties'])
+                    deployer.mdict['pki_target_velocity_properties'])
                 deployer.file.apply_slot_substitution(
-                    deployer.master_dict['pki_target_subsystem_web_xml'])
+                    deployer.mdict['pki_target_subsystem_web_xml'])
 
             # Strip "<filter>" section from subsystem "web.xml"
             # This is ONLY necessary because XML comments cannot be "nested"!
-            # deployer.file.copy(deployer.master_dict['pki_target_subsystem_web_xml'],
-            #               deployer.master_dict['pki_target_subsystem_web_xml_orig'])
-            # deployer.file.delete(deployer.master_dict['pki_target_subsystem_web_xml'])
+            # deployer.file.copy(deployer.mdict['pki_target_subsystem_web_xml'],
+            #               deployer.mdict['pki_target_subsystem_web_xml_orig'])
+            # deployer.file.delete(deployer.mdict['pki_target_subsystem_web_xml'])
             # util.xml_file.remove_filter_section_from_web_xml(
-            #    deployer.master_dict['pki_target_subsystem_web_xml_orig'],
-            #    deployer.master_dict['pki_target_subsystem_web_xml'])
-            # deployer.file.delete(deployer.master_dict['pki_target_subsystem_web_xml_orig'])
-            if deployer.master_dict['pki_subsystem'] == "CA":
+            #    deployer.mdict['pki_target_subsystem_web_xml_orig'],
+            #    deployer.mdict['pki_target_subsystem_web_xml'])
+            # deployer.file.delete(deployer.mdict['pki_target_subsystem_web_xml_orig'])
+            if deployer.mdict['pki_subsystem'] == "CA":
                 deployer.file.copy_with_slot_substitution(
-                    deployer.master_dict['pki_source_proxy_conf'],
-                    deployer.master_dict['pki_target_proxy_conf'])
+                    deployer.mdict['pki_source_proxy_conf'],
+                    deployer.mdict['pki_target_proxy_conf'])
                 deployer.file.apply_slot_substitution(
-                    deployer.master_dict['pki_target_profileselect_template'])
-            elif deployer.master_dict['pki_subsystem'] == "TPS":
+                    deployer.mdict['pki_target_profileselect_template'])
+            elif deployer.mdict['pki_subsystem'] == "TPS":
                 deployer.file.copy_with_slot_substitution(
-                    deployer.master_dict['pki_source_registry_cfg'],
-                    deployer.master_dict['pki_target_registry_cfg'])
+                    deployer.mdict['pki_source_registry_cfg'],
+                    deployer.mdict['pki_target_registry_cfg'])
                 deployer.file.copy_with_slot_substitution(
-                    deployer.master_dict['pki_source_phone_home_xml'],
-                    deployer.master_dict['pki_target_phone_home_xml'])
+                    deployer.mdict['pki_source_phone_home_xml'],
+                    deployer.mdict['pki_target_phone_home_xml'])
         return self.rv
 
     def destroy(self, deployer):
